Bug 530393 - tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Eric Paris
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Reopened
: 532367 537459 (view as bug list)
Depends On:
Blocks: 983464
  Show dependency treegraph
 
Reported: 2009-10-22 11:48 EDT by Patrick
Modified: 2013-07-11 05:31 EDT (History)
31 users (show)

See Also:
Fixed In Version: kernel-2.6.35.10-72.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 652366 983464 (view as bug list)
Environment:
Last Closed: 2012-03-22 16:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg when booting 2.6.31.5-105.1.bz530393 (47.83 KB, text/plain)
2009-11-01 02:33 EST, Patrick
no flags Details
TPM debugging patch (532 bytes, application/octet-stream)
2010-06-01 00:25 EDT, Rajiv Andrade
no flags Details
Fixes a TPM_SHORT timeout mishandling (682 bytes, patch)
2010-08-30 01:47 EDT, Rajiv Andrade
no flags Details | Diff
Right fix (809 bytes, patch)
2010-08-30 02:57 EDT, Rajiv Andrade
no flags Details | Diff

  None (edit)
Description Patrick 2009-10-22 11:48:55 EDT
Description of problem:
When booting Fedora 12 Beta x86_64 with kernel-2.6.31.1-56 on a Acer TM6465WLMi (x86_64) I see the following:
...
tpm_tis: 00:0a: 1.2 TPM (device-id 0xB, rev-id 16)
...
(hangs for a couple of minutes)
tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
(hangs for a couple of minutes)
tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
(hangs for a couple of minutes)
... (boot continutues)
input: PS/2 Generic Mouse at...
(hangs for a couple of minutes)
tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
No TPM chip found: activating TPM-bypass
(boot continues and Gnome desktop starts)

Version-Release number of selected component (if applicable):
kernel-2.6.31.1-56

How reproducible:
Just boot F12

Steps to Reproduce:
1. boot F12
2. wait for it to happen
3. boot process continues
  
Actual results:
Boot F12, kernel boot hangs for a couple of minutes, then the error msgs start, it continues, hangs again for a couple of minutes, wait for more error msgs appear + TPM-bypass msg then the boot process continues

Expected results:
no hangs (and error msgs?)

Additional info:
Comment 1 Eric Paris 2009-10-22 13:38:59 EDT
A likely difference is that F12 builds IMA, which F11 did not.  Building IMA means that the TPM code is built in and is not a module.  It also means that the TPM is used on every boot.  I poked the TPM maintainer to see if he had initial thoughts on how to debug this issue.
Comment 2 Rajiv Andrade 2009-10-22 14:11:07 EDT
Looking at tpm_tis_send() it looks like the same problem with iTPM, 62 is mapped to the timeout error. Can you try the patch below?

http://marc.info/?l=tpmdd-devel&m=125264269616715&w=2

The driver must be built as a module and loaded with itpm=1. Given this I probably will need submit a patch that works when built in too, it's simple though, will do it meanwhile.

Thanks,
Rajiv
Comment 3 Patrick 2009-10-22 15:27:16 EDT
Rajiv: thank you for the feedback. Unfortunately I wouldn't know where to start to patch the rawhide kernel to do what you are asking.

Eric: any chance you (guys) could create a kernel with that patch and stick it somewhere for me to grab and test? If the goal is to include the TPM stuff in kernel and not as a module than perhaps it makes sense to first wait for Rajiv's patch that facilitates that? Either way I'll be happy to test anything you throw at me.
Comment 4 Eric Paris 2009-10-22 15:33:53 EDT
Sure, I can build an x86_64 kernel with that patch.  Might not be up until tomorrow.
Comment 5 Patrick 2009-10-29 17:49:09 EDT
Eric: any progress with that kernel?
Comment 6 Adam Williamson 2009-10-30 10:53:27 EDT
requested to be discussed as a blocker, so I'm adding it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Eric Paris 2009-10-30 14:43:59 EDT
I'm really sorry about the delay, I'll have a test kernel either tonight or tomorrow.
Comment 8 Adam Williamson 2009-10-30 14:44:57 EDT
Discussed at the blocker list today. We felt that the fact the system doesn't actually fail, just pauses for a while, combined with the fact eparis thinks this is down to bad hardware (though bad hardware that can be worked around), mean this isn't serious enough to be a blocker, so dropping from the list. Eric will try to provide the test kernel by the end of today, Patrick - that will help us confirm what exactly the problem is here. If Eric starts to get a bad feeling about the bug he'll put it back on teh blocker list.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Eric Paris 2009-10-31 14:01:57 EDT
I haven't tested yet, but there are some kernels at http://people.redhat.com/~eparis/bz530393 which should have a patch which may help the situation.  You will need to boot with tpm_tis.itpm=1 on the kernel boot line.

If it works, can you attach a copy of dmesg after it boots?
Comment 10 Adam Williamson 2009-10-31 15:27:10 EDT
Patrick, please test as Eric requests. Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Patrick 2009-11-01 02:32:48 EST
Adam: thanks for discussing it and your feedback
Eric: Thanks for creating the test kernel

Just tested the -105.1.bz530393 kernel. No joy. Here's what I did

1) install kernel & firmware

# yum localinstall --nogpgcheck kernel-2.6.31.5-105.1.bz530393.fc12.x86_64.rpm \
   kernel-firmware-2.6.31.5-105.1.bz530393.fc12.noarch.rpm

2) add tpm_tis.itpm=1 to /boot/grub/grub.conf

3) boot kernel

When booting the kernel I get the same errors (and waits) in spite of the iTPM workaround message showing up:

Linux agpgart interface v0.103
tpm_tis 00:0a: 1.2 TPM (device-id 0xB, rev-id 16)
tpm_tis 00:0a: Intel iTPM workaround enabled
ACPI: Battery Slot [BAT0] (battery present)
ACPI: Battery Slot [BAT1] (battery absent)
tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
.
.
.
input: PS/2 Generic Mouse as /devices/platform/i8042/serio4/serio5/input/input8
tpm_tis 00:0a: tpm_transmit: tpm_send: error -62
No TPM chip found, activating TPM-bypass!


I'll add a copy of dmesg too.
Comment 12 Patrick 2009-11-01 02:33:58 EST
Created attachment 366996 [details]
dmesg when booting 2.6.31.5-105.1.bz530393
Comment 13 Eric Paris 2009-11-01 09:09:48 EST
Just noticed the error code, -62 is -ETIME.  The iTPM code path is -EIO (-5).
Comment 14 Chuck Ebbert 2009-11-04 14:35:08 EST
*** Bug 532367 has been marked as a duplicate of this bug. ***
Comment 15 Chuck Ebbert 2009-11-04 15:10:56 EST
You should be able to work around this by adding "tpm_tis.interrupts=0" to the kernel boot options.
Comment 16 Patrick 2009-11-04 18:54:54 EST
That worked like a charm! Booting the kernel is no longer interrupted and I no longer see those error messages. Thank you all very much for your efforts. Most appreciated!
Comment 17 Adam Williamson 2009-11-17 02:56:02 EST
I don't believe that's a fix, it is - as Chuck said - a workaround. So re-opening. I'm not sure there's anything coherent for common bugs here, though. Chuck, Eric, what's the story?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Adam Williamson 2009-11-20 16:26:48 EST
please do not adjust the priority and severity fields, Amir. By policy - https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow - only the package maintainers should ever set the 'priority' field. The reporter may suggest a setting for the 'severity' field when reporting the bug, but once it has been triaged the value set by the triage team should only be overridden by the maintainer. No-one outside those three parties should ever set the 'severity' field. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Amir Hedayaty 2009-11-20 21:37:40 EST
Sorry for that, but this is a huge bug. 
Though it is just a few days since FC12 is released but this has not been fixed.

Anyway after the bug is fixed when Vaio and Acer (or maybe more) laptop uses will need to add "tpm_tis.interrupts=0" to kernel during install and first time boot.
So people with these laptops probably will not be able to install and use fedora. No one expects to waits on black screen for 6 minutes! I suggest this to be mentioned in Fedora Common Bugs.

I am not a quality assurance expert, but the definition I just read 
    *  Urgent: the bug makes whole system unusable (or it is a security bug, which is per definition urgent)
    * High: the bug makes the program in question unusable
    * Medium: a real bug which makes program more difficult to use, at least part of the program is available; possibly workarounds are available
    * Low: anything else - cosmetic issues, corner cases with unusual (non-default) configurations, etc. 

Medium seems closer to definition but this is not just a program, It the kernel!

Anyway, I do not want to fight on this topic, it is better to talk on technical details and try to fix it. I agree that in big picture if third party or people start changing the priorities and severity it will make trouble.
Comment 20 Adam Williamson 2009-11-21 11:28:30 EST
you're reading too much into it. We've no information to indicate _all_ Sony and Acer laptops are affected (frankly that would be unlikely anyway, as there's very little that _all_ models from a single manufacturer have in common). All we know so far is that a single system is affected. If you also have an affected system, it would be useful for you to provide that information. Then, we'd know that two systems are affected. :)

yes, the severity is 'medium' because it does not render the application (and hence system) unusable. Priority is up to the kernel team. They don't really use this field at present, that's their choice.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 21 Marc Bessière 2009-11-23 03:05:07 EST
Sony SZ71VN/X is affected.
Comment 22 Thomas Ahle 2009-11-23 05:00:15 EST
All systems in my home were affected (all zepto laptops).
I thought it was a problem with my install media, so before I by accident let it wait for 10 minutes at boot, I had burned 6 different install cds and dvds.
Comment 23 Adam Williamson 2009-11-23 15:32:57 EST
thomas: what models specifically do you have?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 24 Thomas Ahle 2009-11-23 16:34:19 EST
6625WD and 6024W
Comment 25 Adrien Granger 2009-12-01 07:37:49 EST
Hi,
I'm running F12 x86_64 on my vaio SZ750N and I have the same problem.
I tried to install the fixed kernel as Patrick did and added tpm_tis.interrupts=0 into /boot/grub/grub.conf but the problem is still there.

Regards,
Adrien
Comment 26 Nikitas 2009-12-18 08:21:19 EST
Vaio SZ71XN/C also affected.

Workaround with kernel option "tpm_tis.interrupts=0" works 
on kernel 2.6.31.6-166.fc12.x86_64

Cheers
Nikitas
Comment 27 Alessandro 2009-12-26 07:00:23 EST
Acer TravelMate 6592 (Intel Core 2 T7300 Processor) also affected.

Description of problem:

When booting Fedora 12 (Constantine) kernel-2.6.31.6-166.fc12.i686.PAE on an i686

I see the following:

tpm_tis 00:0b: tpm_transmit: tpm_send: error 4294967234
(hangs for a couple of minutes)
tpm_tis 00:0b: tpm_transmit: tpm_send: error 4294967234
(hangs for a couple of minutes)
tpm_tis 00:0b: tpm_transmit: tpm_send: error 4294967234
(hangs for a couple of minutes)
... (boot continutues)

Adding "tpm_tis.interrupts=0" into /boot/grub/grub.conf file solves the problem.

Regards,
Alessandro.
Comment 28 Alessandro 2009-12-26 07:19:10 EST
Latest kernel 2.6.31.9-174.fc12.i686 completly solves the bug. Thanks.
Comment 29 Paavo Nieminen 2010-01-10 19:49:45 EST
Problem and workaround are exactly like in Comment 27 on my Acer TravelMate 6492 using kernel version 2.6.31.9-174.fc12.i686.PAE

My Acer TravelMate 6292 has never had this problem, even though it is quite similar to the 6492.
Comment 30 Cedric Vivier 2010-01-12 08:20:58 EST
Same issue with 2.6.32.3-17.fc12.x86_64 on Sony Vaio SZ75MZ.
Comment 31 Glen Stark 2010-01-14 04:43:20 EST
Same issue on Sony Vaio SZ750N
Comment 32 Mark Richards 2010-01-31 23:26:35 EST
I have this issue with LG R500 notebook, 2.6.31.12-174.2.3.fc12.x86_64.
Comment 33 Jesper Pedersen 2010-03-10 08:07:18 EST
Same problem with F13 Alpha with Acer TravelMate 6592
Comment 34 Jesper Pedersen 2010-03-10 13:07:39 EST
Just in case it matters; output is:

tpm_tis 00:0b: 1.2 TPM (device-id 0xB, rev-id 16)

tpm_transmit: tpm_send: error -62
Comment 35 Bug Zapper 2010-03-15 08:58:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 36 Amir Hedayaty 2010-05-06 08:29:29 EDT
I wanted to ask what happens to rest of users if "tpm_tis.interrupts=0" is added by kernel? Can Fedora add this by default until the bug gets fixed and if some users loose some functionality ask them to remove it from bootparams?
Comment 37 Douglas 2010-05-11 08:24:39 EDT
I a have a Getac B300 Laptop where I have added "tpm_tis.interrupts=0" to Grub as instructed.  Still receive the same message during the elongated boot.  Running Kernel Versions:

2.6.31.5-127.fc12.i686.PAE
2.6.32.11-99.fc12.i686.PAE

Same problem for both.  Could be a user issue.  Not too familiar with GRUB.
Comment 38 Adam Williamson 2010-05-18 06:38:29 EDT
-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 39 Daniel 2010-05-23 19:16:53 EDT
I have been having the same issue with my Asus F50SV-A2, this occurs when I try to boot into Fedora 13 Beta.  I was able to boot Fedora 12 on my laptop but never was able to use it because there were problems with the ACPI drivers.

I added the "tpm_tis.interrupts=0" into grub and my system is still locking up.
No TPM chip found: activating TPM-bypass

I'd appreciate any input.
Comment 40 John Hein 2010-05-25 13:19:41 EDT
I get a similar thing on a Getac P470 GP.  BIOS defaults.

This bug may be a duplicate of bug 530393.

kernel: 2.6.32.12-115.fc12.i686.PAE

Here's what I see during boot...

tpm_tis 00:0b: 1.2 TPM (device-id 0xB, rev-id 16)
tpm_tis 00:0b: tpm_transmit: tpm_send: error 4294967234
tpm_tis 00:0b: tpm_transmit: tpm_send: error 4294967234
tpm_tis 00:0b: tpm_transmit: tpm_send: error 4294967234

The first error shows up after a two minute pause during boot.
Then the second and third each after another two minute hiatus.

Then the boot continues, only to pause later after...

 .
 .
usb 1-7: New USB device found, idVendor=05e3, idProduct=0608
usb 1-7: New USB device strings: Mfr=0, Product=1, SerialNumber=0
usb 1-7: Product: USB2.0 Hub
usb 1-7.1: configuration #1 chosen from 1 choice

... and ...

tpm_tis 00:0b: tpm_transmit: tpm_send: error 4294967234
No TPM chip found, activating TPM-bypass!
  Magic number: 10:460:945
 .
 .

Again, a two-minute pause there.

As with others, adding 'tpm_tis.interrupts=0' to the kernel args makes it boot without the four two minute pauses.
Comment 41 John Hein 2010-05-25 13:21:57 EDT
I meant that it seems to be a duplicate of bug 537459, not 530393 (which is this one, of course).
Comment 42 Adam Williamson 2010-05-25 17:55:13 EDT
*** Bug 537459 has been marked as a duplicate of this bug. ***
Comment 43 schlaffi 2010-05-27 03:30:02 EDT
Same for

  *FC13 x86_64 release on
  *Acer TravelMate 6492-832G25N_UMTS using either of
  *kernel-2.6.33.3-85.fc13.x86_64 and
  *kernel-2.6.33.4-95.fc13.x86_64.

The ``tpm_tis.interrupts=0'' trick solves the problem.


The boot delay is roughly 10 min and also happens at the boot of the DVD-installer. (It was pure chance that I waited for so long and did not wait for FC14.)
Comment 44 Adam Williamson 2010-05-31 17:03:53 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 45 Rajiv Andrade 2010-06-01 00:25:09 EDT
Created attachment 418456 [details]
TPM debugging patch

These TPMs aren't setting the right status after a command was sent to it, the attached patch attempts to read the command and also the TPM status value when so. Also please send out a tpm_version output when running the kernel with the workaround.

--Rajiv
Comment 46 schlaffi 2010-06-01 02:23:11 EDT
(In reply to comment #43 and comment #45)

without having your patch applied:

# tpm_version -l debug
Tspi_Context_Create success
Tspi_Context_Connect failed: 0x00003011 - layer=tsp, code=0011 (17), Communication failure
Tspi_Context_FreeMemory success
Tspi_Context_Close success

hth
Comment 47 Rajiv Andrade 2010-06-01 08:12:24 EDT
Thanks, the tpm-tools applications need the TCS daemon running in order to send commands to the TPM, can you run tcsd -f& first and then run tpm_version? Sorry for not mentioning that earlier.
Comment 48 schlaffi 2010-06-01 09:30:36 EDT
(In reply to comment #47)

# tpm_version
  TPM 1.2 Version Info:
  Chip Version:        1.2.1.2
  Spec Level:          2
  Errata Revision:     0
  TPM Vendor ID:       IFX
  TPM Version:         01010000
  Manufacturer Info:   49465800

does this help more?
Comment 49 Amir Hedayaty 2010-06-01 16:01:04 EDT
Here is my output without patch

$ tpm_version -l debug
Tspi_Context_Create success
Tspi_Context_Connect success
Tspi_Context_GetTpmObject success
Trspi_UnloadBlob_CAP_VERSION_INFO success
  TPM 1.2 Version Info:
  Chip Version:        1.2.1.2
  Spec Level:          2
  Errata Revision:     0
  TPM Vendor ID:       IFX
Tspi_TPM_GetCapability success
  TPM Version:         01010000
Tspi_TPM_GetCapability success
  Manufacturer Info:   49465800
tpm_version succeeded
Tspi_Context_FreeMemory success
Tspi_Context_Close success


I downloaded a kernel, added the patch, modified the sepcfile and used 

rpmbuild --target=`uname -m` kernel.spec rpmbuild -bb --with baseonly --with firmware --without debuginfo

To build, it used up 4.3G remaining space on the partition and the process broke because of low disc space! What is wrong I am doing, I have not compiled the kernel for a few years
Comment 50 Amir Hedayaty 2010-06-01 16:11:01 EDT
sorry I ment

rpmbuild --target=`uname -m` kernel.spec -bb --with baseonly --with
firmware --without debuginfo
Comment 51 Rajiv Andrade 2010-06-08 13:32:26 EDT
Ok, I tried to forcibly reproduce it here with my TPM, and since yours is working without interrupts it might be setting the status flags fine also, given when using polling the device driver also checks for the same values.
When using PNP (and not setting force option to 1), the IRQ is assigned through PNP, and I'd like to check whether the IRQ the driver is using is valid or not, can you place the contents of /proc/interrupts when not using the workaround? Wait_event_interruptible_timeout() fails if using an invalid IRQ.

Rajiv
Comment 52 schlaffi 2010-06-11 16:56:39 EDT
(In reply to comment #51)

Whatever you wish :)

/proc/interrupts without workaround:

           CPU0       CPU1       
  0:     795184     701300   IO-APIC-edge      timer
  1:          5       2706   IO-APIC-edge      i8042
  8:          0          1   IO-APIC-edge      rtc0
  9:         31          7   IO-APIC-fasteoi   acpi
 11:          0          0   IO-APIC-edge      tpm0
 12:       1045       1542   IO-APIC-edge      i8042
 14:      30773      28710   IO-APIC-edge      ata_piix
 15:          0          0   IO-APIC-edge      ata_piix
 16:          0          0   IO-APIC-fasteoi   uhci_hcd:usb3
 18:         29         77   IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb7
 19:         22      32627   IO-APIC-fasteoi   uhci_hcd:usb6
 20:          4         91   IO-APIC-fasteoi   yenta, firewire_ohci, mmc0
 21:        155        124   IO-APIC-fasteoi   uhci_hcd:usb4, yenta
 22:         88          1   IO-APIC-fasteoi   firewire_ohci
 23:          2          1   IO-APIC-fasteoi   ehci_hcd:usb2, uhci_hcd:usb5
 28:      49762       2756   PCI-MSI-edge      ahci
 29:      11255     257572   PCI-MSI-edge      i915
 30:          1       2825   PCI-MSI-edge      eth0
 31:       1308        139   PCI-MSI-edge      hda_intel
 32:      42888      34688   PCI-MSI-edge      iwlagn
NMI:          0          0   Non-maskable interrupts
LOC:     721338     779100   Local timer interrupts
SPU:          0          0   Spurious interrupts
PMI:          0          0   Performance monitoring interrupts
PND:          0          0   Performance pending work
RES:      22538      17666   Rescheduling interrupts
CAL:        104        133   Function call interrupts
TLB:       3478       3814   TLB shootdowns
TRM:          0          0   Thermal event interrupts
THR:          0          0   Threshold APIC interrupts
MCE:          0          0   Machine check exceptions
MCP:         21         21   Machine check polls
ERR:          0
MIS:          0

hth
Comment 53 Jesper Pedersen 2010-06-28 06:49:31 EDT
Without the patch:

[root@localhost ~]# tpm_version -l debug
Tspi_Context_Create success
Tspi_Context_Connect success
Tspi_Context_GetTpmObject success
Trspi_UnloadBlob_CAP_VERSION_INFO success
  TPM 1.2 Version Info:
  Chip Version:        1.2.1.0
  Spec Level:          2
  Errata Revision:     0
  TPM Vendor ID:       IFX
Tspi_TPM_GetCapability success
  TPM Version:         01010000
Tspi_TPM_GetCapability success
  Manufacturer Info:   49465800
tpm_version succeeded
Tspi_Context_FreeMemory success
Tspi_Context_Close success


[root@localhost ~]# cat /proc/interrupts 
           CPU0       CPU1       
  0:     419673     314872   IO-APIC-edge      timer
  1:          5       1633   IO-APIC-edge      i8042
  8:         14          8   IO-APIC-edge      rtc0
  9:        956          1   IO-APIC-fasteoi   acpi
 12:         73     186678   IO-APIC-edge      i8042
 14:       8793       7039   IO-APIC-edge      ata_piix
 15:          0          0   IO-APIC-edge      ata_piix
 16:          0          0   IO-APIC-fasteoi   uhci_hcd:usb3
 18:        112         91   IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb7
 19:          0          0   IO-APIC-fasteoi   uhci_hcd:usb6
 20:          4         23   IO-APIC-fasteoi   yenta, mmc0, firewire_ohci
 21:          2          5   IO-APIC-fasteoi   uhci_hcd:usb4, yenta
 22:         86        743   IO-APIC-fasteoi   HDA Intel, firewire_ohci
 23:          4          1   IO-APIC-fasteoi   ehci_hcd:usb2, uhci_hcd:usb5
 29:      70127       2298   PCI-MSI-edge      ahci
 30:          2     232518   PCI-MSI-edge      eth0
 31:      36131      26827   PCI-MSI-edge      iwlagn
NMI:          0          0   Non-maskable interrupts
LOC:     337861     406099   Local timer interrupts
SPU:          0          0   Spurious interrupts
RES:      83567      58797   Rescheduling interrupts
CAL:         67         77   Function call interrupts
TLB:       7605       6194   TLB shootdowns
TRM:          0          0   Thermal event interrupts
THR:          0          0   Threshold APIC interrupts
ERR:          0
MIS:          0
Comment 54 Daniel 2010-07-06 04:36:26 EDT
I have tried numerous times to get this working, with tpm_tis.interrupt=0 and I even waited a hour.  The system never responded, am I the only one that has not been able to even get Fedora 12 or 13 installed because of this issue.
Comment 55 schlaffi 2010-07-06 11:23:24 EDT
(In reply to comment #54)

try tpm_tis.interrupts=0 instead (note the difference). I am sure people will love it if you make the effort to vaguely write which system you are using...
Comment 56 Daniel 2010-07-06 12:03:45 EDT
I have tried that and probably every other combination of the command.  
tpm_tis.interrupts=0
tpm_tis.interrupt=0
tis_tpm.interrupt=0

Just to verify I tried it again with tpm_tis.interrupts=0 and it has been paused for about a hour now.

I have previously posted what system I have and details about my system but never got a response. 


https://bugzilla.redhat.com/show_bug.cgi?id=530393#c39
Comment 57 Sleipnir 2010-07-10 08:23:59 EDT
I've the same problem with an Asus F80s.

I tried adding the "tpm_tis.interrrupts=0" at the end of the kernel line in my boot.conf. But it doesn't work I'm still stuck with this message durin the boot :
"No TPM chip found: activating TPM-bypass !"

and then nothing :-(

Could anyone give me the entire file you used with "tpm_tis.interrrupts=0", maybe I used it a bad way.

Thank you.
Comment 58 oj 2010-08-18 12:10:15 EDT
Same problem here with a Sony VGN-SZ71VN/X!
the "tpm_tis.interrupts=0" workaround works for me. So I added it permanent to /boot/grub/menu.lst

@Sleipnir: you posted the parameter with 3 "r" - 2 are enough :-)
Comment 59 schlaffi 2010-08-23 06:03:36 EDT
(In reply to comment #57)


/etc/grub.conf I use at the moment (obviously only suitable for my system):

title Fedora (2.6.34.3-37.fc13.x86_64)
	root (hd0,2)
	kernel /vmlinuz-2.6.34.3-37.fc13.x86_64 ro root=/dev/mapper/vg_system-lv_fc13x64 rd_LVM_LV=vg_system/lv_fc13x64 rd_NO_LUKS rd_NO_MD rd_NO_DM SYSFONT=latarcyrheb-sun16 KEYTABLE=de-latin1-nodeadkeys tpm_tis.interrupts=0 LANG=en_US.UTF-8
	initrd /initramfs-2.6.34.3-37.fc13.x86_64.img


hth
Comment 60 Jesper Pedersen 2010-08-28 11:05:54 EDT
Same story with Fedora 14 Alpha, as with Fedora 13 and 12
Comment 61 Rajiv Andrade 2010-08-30 01:47:47 EDT
Created attachment 441889 [details]
Fixes a TPM_SHORT timeout mishandling

This fixes the timeout issue, so the boot won't hang anymore. However, these TPMs won't work still on these platform if with interrupts enabled, I'll write another patch to fix this second issue.

Let me know of any problems with it.

Thanks,
Rajiv
Comment 62 Rajiv Andrade 2010-08-30 02:57:56 EDT
Created attachment 441896 [details]
Right fix

The previous one made tpm_get_timeouts() fail.

Again, this fixes the long boot problem, but still doesn't make these TPMs work with interrupts.

Thanks,
Rajiv
Comment 63 Amir Hedayaty 2010-09-02 02:23:26 EDT
Thanks. Can you notify us when on FC13 or FC14-alpha the patches get applied?
Comment 64 Chuck Ebbert 2010-09-02 09:46:52 EDT
I've added the patch to rawhide: 2.6.36-0.15.rc3.git0
Comment 65 Rajiv Andrade 2010-09-02 14:01:55 EDT
I'll submit it to LKML soon.

Thanks
Comment 66 Amir Hedayaty 2010-09-30 06:08:13 EDT
The bug is still in FC14-beta!
Comment 67 Eliran shlomo 2010-11-21 11:51:55 EST
Hello, like amir said in FC14 the bug is still exist, when i try to install FC14 i get this error
no tpm chip found activating tpm-bypass
 
i tried to add boot line this option
tpm_tis.interrupts=0 but it didn't work
any idea?
Comment 68 Kyle McMartin 2010-12-09 17:07:08 EST
Thanks, it's been committed to F-14, and will be fixed in the next build of F-14's kernel.
Comment 69 Kyle McMartin 2010-12-09 17:09:40 EST
(Ditto for F-13.)
Comment 70 Fedora Update System 2010-12-17 10:10:35 EST
kernel-2.6.35.10-68.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.10-68.fc14
Comment 71 Fedora Update System 2010-12-19 18:57:00 EST
kernel-2.6.35.10-69.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.10-69.fc14
Comment 72 Fedora Update System 2010-12-21 08:55:35 EST
kernel-2.6.35.10-72.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.10-72.fc14
Comment 73 Fedora Update System 2010-12-22 14:52:12 EST
kernel-2.6.35.10-72.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 74 jonathan baron 2010-12-27 06:36:15 EST
(In reply to comment #73)
> kernel-2.6.35.10-72.fc14 has been pushed to the Fedora 14 stable repository. 
> If problems still persist, please make note of it in this bug report.

With this kernel (x86_64), I still get the error message.  The hang was 2 sec at most.  Here are (I hope) the relevant lines from /var/log/messages.
                              
Dec 26 09:31:19 barber kernel: [    0.645580] ERST: Table is not found!                                  
Dec 26 09:31:19 barber kernel: [    0.645878] Non-volatile memory driver v1.3                            
Dec 26 09:31:19 barber kernel: [    0.645881] Linux agpgart interface v0.103                             
Dec 26 09:31:19 barber kernel: [    0.646014] tpm_tis 00:00: 1.2 TPM (device-id 0x1002, rev-id 2)        
Dec 26 09:31:19 barber kernel: [    2.649401] tpm_tis 00:00: tpm_transmit: tpm_send: error -62
Comment 75 John Anderson 2011-10-31 23:21:03 EDT
I'm getting tpm_tis 00:0e: Operation Timed out on Fedora 16 RC2. It just says "Loading Ramdisk" during this time and takes around 4 minutes to start loading the rest of my system.

When I boot with the grub arguments tpm_tis.interrupts=0 it seems to go away.

I'm on a Lenovo Thinkpad T520


sontek@beast$  uname -a
Linux beast 3.1.0-5.fc16.x86_64 #1 SMP Thu Oct 27 03:46:50 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux


sontek@beast$  cat /proc/interrupts 
           CPU0       CPU1       CPU2       CPU3       
  0:        129          0          0          0   IO-APIC-edge      timer
  1:       2414          0          0          0   IO-APIC-edge      i8042
  8:          1          0          0          0   IO-APIC-edge      rtc0
  9:       1238          0          0          0   IO-APIC-fasteoi   acpi
 12:     103482          0          0          0   IO-APIC-edge      i8042
 16:       1629          0      14889          0   IO-APIC-fasteoi   ehci_hcd:usb1, mmc0
 19:         32          0          0          0   IO-APIC-fasteoi 
 23:         65          0          0          0   IO-APIC-fasteoi   ehci_hcd:usb2
 40:      18536          0          0          0   PCI-MSI-edge      ahci
 41:     123616          0          0          0   PCI-MSI-edge      i915
 42:          3          0         11          0   PCI-MSI-edge      firewire_ohci
 43:          7          0        365          0   PCI-MSI-edge      em1
 44:      36718          0          0          0   PCI-MSI-edge      iwlagn
 45:        246          0          0          0   PCI-MSI-edge      snd_hda_intel
NMI:         60         44         31         23   Non-maskable interrupts
LOC:     199781     171999     126594     112097   Local timer interrupts
SPU:          0          0          0          0   Spurious interrupts
PMI:         60         44         31         23   Performance monitoring interrupts
IWI:          0          0          0          0   IRQ work interrupts
RES:     114847     130046      58390      64612   Rescheduling interrupts
CAL:       1021       1034       2218       1756   Function call interrupts
TLB:       4367       7211       3112       3998   TLB shootdowns
TRM:          0          0          0          0   Thermal event interrupts
THR:          0          0          0          0   Threshold APIC interrupts
MCE:          0          0          0          0   Machine check exceptions
MCP:          4          4          4          4   Machine check polls
ERR:          0
MIS:          0

sontek@beast$  lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 (rev 34)
0d:00.0 System peripheral: Ricoh Co Ltd MMC/SD Host Controller (rev 08)
0d:00.3 FireWire (IEEE 1394): Ricoh Co Ltd FireWire Host Controller (rev 04)
Comment 76 Florian "der-flo" Lehner 2011-11-05 05:44:25 EDT
Booting hangs at "tpm_tis"-stuff for a long time

$ uname -a
Linux freistaat 3.1.0-7.fc16.x86_64 #1 SMP Tue Nov 1 21:10:48 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

I'm on a Lenovo Thinkpad X201s.

This works for me:
add "notsc tpm_tis.itpm=1" to the kernel bootparameter.
Comment 77 Dave Jones 2012-03-22 12:47:51 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 78 Dave Jones 2012-03-22 12:52:22 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 79 Dave Jones 2012-03-22 13:02:48 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 80 John Anderson 2012-03-22 15:46:15 EDT
I haven't seen this in the last few kernel updates
Comment 81 jonathan baron 2012-03-22 16:46:10 EDT
(In reply to comment #80)
> I haven't seen this in the last few kernel updates

Neither have I, and I used to see it a lot.
Comment 82 Patrick 2012-03-25 08:25:58 EDT
Dave: I booted kernel 3.3.0-4.fc16.x86_64 without tpm_tis.interrupts=0 and it booted just fine. So thank you (et al.) for fixing this. 

There is one problem: suspend no longer works. Suspend used to work but only the first time as subsequent suspends would always fail and jump back to a locked screen (Gnome). With the 3.3.0-4.fc16.x86_64 kernel when I click (first time after booting the laptop) on suspend via Gnome Shut Down then suspend fails (it jumps back to a locked screen) and I see the following tpm related errors in /var/log/messages:

Mar 25 14:13:48 luna kernel: [  191.122098] tpm_tis 00:09: tpm_transmit: tpm_send: error -62
Mar 25 14:13:48 luna kernel: [  191.122112] legacy_suspend(): pnp_bus_suspend+0x0/0xa0 returns -62
Mar 25 14:13:48 luna kernel: [  191.122118] PM: Device 00:09 failed to suspend: error -62
Mar 25 14:13:48 luna kernel: [  191.122122] PM: Some devices failed to suspend

Since this bug is now closed, should I file a new bug or should this bug be reopened?
Comment 83 Patrick 2012-03-25 08:38:46 EDT
FYI when booting kernel 3.3.0-4.fc16.x86_64 *with* tpm_tis.interrupts=0 then the first suspend is ok. This tpm message shows up in /var/log/messages:

Mar 25 14:31:28 luna kernel: [  116.617110] tpm_tis 00:09: A TPM error (38) occurred continue selftest

The second suspend fails (jumps back to a locked screen) and these tpm related messages show up in /var/log/messages:

Mar 25 14:33:21 luna kernel: [  229.865096] tpm_tis 00:09: A TPM error (38) occurred sending savestate before suspend
Mar 25 14:33:21 luna kernel: [  229.865110] legacy_suspend(): pnp_bus_suspend+0x0/0xa0 returns 38
Mar 25 14:33:21 luna kernel: [  229.865116] PM: Device 00:09 failed to suspend: error 38
Mar 25 14:33:21 luna kernel: [  229.873173] PM: Some devices failed to suspend
Comment 84 Rajiv Andrade 2012-03-26 23:14:31 EDT
Commit be405411f712489f2f780ab085e1069e8fb85f19 fixes this, it's upstream now and soon to make into stable.
Comment 85 Patrick 2012-03-27 00:02:55 EDT
Thank you for your feedback Rajiv. Unfortunately it does not seem to fix it. I'm running Fedora 16 with kernel-3.3.0-4.fc16.x86_64 and that commit is already included in that kernel.
Comment 86 John Hein 2012-05-18 05:47:53 EDT
Same suspend issue here as comment 82...

May 18 03:29:12 kidney kernel: [ 1238.811155] tpm_tis 00:0b: tpm_transmit: tpm_send: error 4294967234
May 18 03:29:12 kidney kernel: [ 1238.811170] legacy_suspend(): pnp_bus_suspend+0x0/0x90 returns -62
May 18 03:29:12 kidney kernel: [ 1238.811177] PM: Device 00:0b failed to suspend: error -62
May 18 03:29:12 kidney kernel: [ 1238.811181] PM: Some devices failed to suspend

I just took tpm_tis.interrupts=0 out of the kernel boot parameters to try it out the fix for the longstanding booting timeout problem here.  And now it won't suspend apparently because of the above.

kernel: 3.3.5-2.fc16.i686
Comment 87 Sonali Tyagi 2012-07-10 01:46:41 EDT
Hey,
please help me..
I tried to install TPM emulator in my linux based system..
Then i installed jTSS_0.7a but when i test the installation of jTSS then it showed following error :

16:24:06:383 [ERROR] TcTcsBindingSoap::connect (116):	There seems no TCS running
iaik.tc.tss.api.exceptions.tsp.TcTspException: 

TSS Error:
error layer:                0x3000 (TSP)
error code (without layer): 0x0103
error code (full):          0x3103
error message: Core Service connection failed.

	at iaik.tc.tss.impl.java.tsp.tcsbinding.soapservice.TcTcsBindingSoap.connect(TcTcsBindingSoap.java:117)
	at iaik.tc.tss.impl.java.tsp.internal.TcTspInternal.TspContextConnect_Internal(TcTspInternal.java:368)
	at iaik.tc.tss.impl.java.tsp.TcContext.connect(TcContext.java:174)
	at iaik.tc.tss.impl.java.tsp.TcContext.connect(TcContext.java:209)
	at iaik.tc.tss.test.tsp.java.simple.TestManufacturerVersion.runTest(TestManufacturerVersion.java:30)
	at iaik.tc.tss.test.tsp.java.simple.TestMain.actionPerformed(TestMain.java:56)
	at java.awt.Button.processActionEvent(Button.java:409)
	at java.awt.Button.processEvent(Button.java:377)
	at java.awt.Component.dispatchEventImpl(Component.java:4564)
	at java.awt.Component.dispatchEvent(Component.java:4390)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)




please help me out please...

Note You need to log in before you can comment on or make changes to this bug.